#include "fdf.h"

void	render(t_FDF *FDF)
{
	int 	i;
	int 	j;
	t_map	*map;

	map = FDF->map;
	i = 0;
	while (i < map->y_max)
	{
		j = 0;
		while (j < map->x_max)
		{
			if (i == map->y_max - 1 && j < map->x_max - 1)
				line(map->arr_pnt[i][j], map->arr_pnt[i][j + 1], FDF);
			else if (i < map->y_max - 1 && j == map->x_max - 1)
				line(map->arr_pnt[i][j], map->arr_pnt[i + 1][j], FDF);
			else if (i < map->y_max - 1 && j < map->x_max - 1)
			{
				line(map->arr_pnt[i][j], map->arr_pnt[i + 1][j], FDF);
				line(map->arr_pnt[i][j], map->arr_pnt[i][j + 1], FDF);
			}
			j++;
		}
		i++;
	}
	mlx_put_image_to_window(FDF->mw->mlx, FDF->mw->win, FDF->image, 0, 0);
}